import request from '@/utils/request'

// 查询用户邀请列表
export function listUserInvite(query) {
  return request({
    url: '/cai/userInvite/list',
    method: 'get',
    params: query
  })
}

// 查询用户邀请详细
export function getUserInvite(id) {
  return request({
    url: '/cai/userInvite/' + id,
    method: 'get'
  })
}

// 新增用户邀请
export function addUserInvite(data) {
  return request({
    url: '/cai/userInvite',
    method: 'post',
    data: data
  })
}

export function updateUserInviteRate(data) {
  return request({
    url: '/cai/userInvite/updateRate',
    method: 'post',
    data: data
  })
}

// 修改用户邀请
export function updateUserInvite(data) {
  return request({
    url: '/cai/userInvite',
    method: 'put',
    data: data
  })
}

// 删除用户邀请
export function delUserInvite(id) {
  return request({
    url: '/cai/userInvite/' + id,
    method: 'delete'
  })
}
